Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUCtrlActionDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlActionDef`

Direct Known Subclasses:
  JUActionDef

public class JUCtrlActionDef
extends JUControlDef

Field Summary
`protected DCInvokeMethodDef` | `mMethodInfo`
`static java.lang.String` | `PNAME_ActionID`
`static java.lang.String` | `PNAME_ArgNamesList`
`static java.lang.String` | `PNAME_ArgOptionsList`
`static java.lang.String` | `PNAME_ArgTypesList`
`static java.lang.String` | `PNAME_Arguments`
`static java.lang.String` | `PNAME_ArgValuesList`
`static java.lang.String` | `PNAME_ClassName`
`static java.lang.String` | `PNAME_DataControl`
`static java.lang.String` | `PNAME_InstanceName`
`static java.lang.String` | `PNAME_IsLocalObjectReference`
`static java.lang.String` | `PNAME_IsViewObjectMethod`
`static java.lang.String` | `PNAME_MethodName`
`static java.lang.String` | `PNAME_RequiresUpdateModel`
`static java.lang.String` | `PNAME_ReturnName`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUCtrlActionDef()`
`JUCtrlActionDef(java.lang.String name, java.lang.String controlClassName, java.lang.String controlBindingClassName, java.lang.String iterBindingName, int action)`

Method Summary
`protected DCControlBinding` | `createControlBindingInstance(java.lang.Object control, DCBindingContainer formBnd)`
`protected JUCtrlActionBinding` | `createDataControlActionBinding(java.lang.Object control, DCDataControl dataControl, int mAction)` For internal use only.
`protected JUCtrlActionBinding` | `createInvokeActionBinding(java.lang.Object control, DCBindingContainer formBnd, DCInvokeMethodDef mMethodInfo)` For internal use only.
`protected JUCtrlActionBinding` | `createIteratorActionBinding(java.lang.Object control, DCIteratorBinding iterBinding, int mAction)` For internal use only.
`int` | `getAction()`
`java.lang.String` | `getDataControlName()`
`static boolean` | `getDefaultValueForUpdateModel(int nAction)`
`DCInvokeMethodDef` | `getMethodDef()` For internal use only.
`java.lang.String` | `getText()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `initSubType()`
`protected void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`boolean` | `requiresUpdateModel()`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`protected void` | `setText(java.lang.String txt)`

Methods inherited from class oracle.jbo.uicli.binding.JUControlDef
`getIterBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, getXMLElementTag, loadCustomDef, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_ActionID

    public static final java.lang.String PNAME_ActionID

  See Also:
    Constant Field Values

### PNAME_InstanceName

    public static final java.lang.String PNAME_InstanceName

  See Also:
    Constant Field Values

### PNAME_MethodName

    public static final java.lang.String PNAME_MethodName

  See Also:
    Constant Field Values

### PNAME_ReturnName

    public static final java.lang.String PNAME_ReturnName

  See Also:
    Constant Field Values

### PNAME_ClassName

    public static final java.lang.String PNAME_ClassName

  See Also:
    Constant Field Values

### PNAME_Arguments

    public static final java.lang.String PNAME_Arguments

  See Also:
    Constant Field Values

### PNAME_DataControl

    public static final java.lang.String PNAME_DataControl

  See Also:
    Constant Field Values

### PNAME_IsViewObjectMethod

    public static final java.lang.String PNAME_IsViewObjectMethod

  See Also:
    Constant Field Values

### PNAME_IsLocalObjectReference

    public static final java.lang.String PNAME_IsLocalObjectReference

  See Also:
    Constant Field Values

### PNAME_RequiresUpdateModel

    public static final java.lang.String PNAME_RequiresUpdateModel

  See Also:
    Constant Field Values

### PNAME_ArgNamesList

    public static final java.lang.String PNAME_ArgNamesList

  See Also:
    Constant Field Values

### PNAME_ArgTypesList

    public static final java.lang.String PNAME_ArgTypesList

  See Also:
    Constant Field Values

### PNAME_ArgValuesList

    public static final java.lang.String PNAME_ArgValuesList

  See Also:
    Constant Field Values

### PNAME_ArgOptionsList

    public static final java.lang.String PNAME_ArgOptionsList

  See Also:
    Constant Field Values

### mMethodInfo

    protected DCInvokeMethodDef mMethodInfo

Constructor Detail

### JUCtrlActionDef

    public JUCtrlActionDef()

### JUCtrlActionDef

    public JUCtrlActionDef(java.lang.String name,
                           java.lang.String controlClassName,
                           java.lang.String controlBindingClassName,
                           java.lang.String iterBindingName,
                           int action)

Method Detail

### initSubType

    protected void initSubType()

  Overrides:
    `initSubType` in class `DCDefBase`

### getText

    public java.lang.String getText()

### setText

    protected void setText(java.lang.String txt)

### requiresUpdateModel

    public boolean requiresUpdateModel()

### getDataControlName

    public java.lang.String getDataControlName()

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `JUControlDef`

### getMethodDef

    public DCInvokeMethodDef getMethodDef()

  For internal use only.

### createControlBindingInstance

    protected DCControlBinding createControlBindingInstance(java.lang.Object control,
                                                            DCBindingContainer formBnd)

  Specified by:
    `createControlBindingInstance` in class `DCControlBindingDef`

### createInvokeActionBinding

    protected JUCtrlActionBinding createInvokeActionBinding(java.lang.Object control,
                                                            DCBindingContainer formBnd,
                                                            DCInvokeMethodDef mMethodInfo)

  For internal use only.

### createDataControlActionBinding

    protected JUCtrlActionBinding createDataControlActionBinding(java.lang.Object control,
                                                                 DCDataControl dataControl,
                                                                 int mAction)

  For internal use only.

### createIteratorActionBinding

    protected JUCtrlActionBinding createIteratorActionBinding(java.lang.Object control,
                                                              DCIteratorBinding iterBinding,
                                                              int mAction)

  For internal use only.

### getAction

    public int getAction()

### getDefaultValueForUpdateModel

    public static boolean getDefaultValueForUpdateModel(int nAction)

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCControlBindingDef`

### loadChildrenFromXML

    protected void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCControlBindingDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.